<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cyhal__dma_8h" kind="file" language="C++">
    <compoundname>cyhal_dma.h</compoundname>
    <includes local="no">stdbool.h</includes>
    <includes local="no">stdint.h</includes>
    <includes local="yes" refid="cy__result_8h">cy_result.h</includes>
    <includes local="yes" refid="cyhal__hw__types_8h">cyhal_hw_types.h</includes>
    <includedby local="yes" refid="cyhal__dma__dmac_8h">cyhal_dma_dmac.h</includedby>
    <includedby local="yes" refid="cyhal__dma__dw_8h">cyhal_dma_dw.h</includedby>
    <includedby local="yes" refid="cyhal__drivers_8h">cyhal_drivers.h</includedby>
    <includedby local="yes" refid="cyhal__adc_8c">cyhal_adc.c</includedby>
    <includedby local="yes" refid="cyhal__dma__dmac_8c">cyhal_dma_dmac.c</includedby>
    <includedby local="yes" refid="cyhal__dma__dw_8c">cyhal_dma_dw.c</includedby>
    <includedby local="yes" refid="cyhal__i2s_8c">cyhal_i2s.c</includedby>
    <includedby local="yes" refid="cyhal__pdmpcm_8c">cyhal_pdmpcm.c</includedby>
    <incdepgraph>
      <node id="81">
        <label>stdbool.h</label>
      </node>
      <node id="82">
        <label>stdint.h</label>
      </node>
      <node id="80">
        <label>cyhal_dma.h</label>
        <link refid="cyhal__dma_8h" />
        <childnode refid="81" relation="include">
        </childnode>
        <childnode refid="82" relation="include">
        </childnode>
      </node>
    </incdepgraph>
    <innerclass prot="public" refid="structcyhal__dma__cfg__t">cyhal_dma_cfg_t</innerclass>
      <sectiondef kind="define">
      <memberdef id="group__group__hal__results__dma_1gac542b630eb631806c288c72f223dc0c0" kind="define" prot="public" static="no">
        <name>CYHAL_DMA_RSLT_ERR_INVALID_TRANSFER_WIDTH</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a7f8347561e9fbf193dd8b77904163acc">CYHAL_RSLT_MODULE_DMA</ref>, 0))</initializer>
        <briefdescription>
<para>Invalid transfer width parameter error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" bodystart="98" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" line="98" />
      </memberdef>
      <memberdef id="group__group__hal__results__dma_1gac576d5f06fd63b8dc70e05acd558fe24" kind="define" prot="public" static="no">
        <name>CYHAL_DMA_RSLT_ERR_INVALID_PARAMETER</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a7f8347561e9fbf193dd8b77904163acc">CYHAL_RSLT_MODULE_DMA</ref>, 1))</initializer>
        <briefdescription>
<para>Invalid parameter error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" bodystart="101" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" line="101" />
      </memberdef>
      <memberdef id="group__group__hal__results__dma_1gac2510f51f4594fe57036b3159fd09b93" kind="define" prot="public" static="no">
        <name>CYHAL_DMA_RSLT_ERR_INVALID_PRIORITY</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a7f8347561e9fbf193dd8b77904163acc">CYHAL_RSLT_MODULE_DMA</ref>, 2))</initializer>
        <briefdescription>
<para>Invalid priority parameter error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" bodystart="104" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" line="104" />
      </memberdef>
      <memberdef id="group__group__hal__results__dma_1ga4ae033f30838fec2f52990da40138cb3" kind="define" prot="public" static="no">
        <name>CYHAL_DMA_RSLT_ERR_INVALID_ALIGNMENT</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a7f8347561e9fbf193dd8b77904163acc">CYHAL_RSLT_MODULE_DMA</ref>, 3))</initializer>
        <briefdescription>
<para>Invalid src or dst addr alignment error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" bodystart="107" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" line="107" />
      </memberdef>
      <memberdef id="group__group__hal__results__dma_1gaa6faad501be814ecf834fb164de05a02" kind="define" prot="public" static="no">
        <name>CYHAL_DMA_RSLT_ERR_INVALID_BURST_SIZE</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a7f8347561e9fbf193dd8b77904163acc">CYHAL_RSLT_MODULE_DMA</ref>, 4))</initializer>
        <briefdescription>
<para>Invalid burst_size paramenter error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" bodystart="110" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" line="110" />
      </memberdef>
      <memberdef id="group__group__hal__results__dma_1ga4a5db2232d3cdda8b1680c1d24891a17" kind="define" prot="public" static="no">
        <name>CYHAL_DMA_RSLT_ERR_CHANNEL_BUSY</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a7f8347561e9fbf193dd8b77904163acc">CYHAL_RSLT_MODULE_DMA</ref>, 5))</initializer>
        <briefdescription>
<para>Channel busy error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" bodystart="113" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" line="113" />
      </memberdef>
      <memberdef id="group__group__hal__results__dma_1ga2eb08384825380516ae141ec3e719d8f" kind="define" prot="public" static="no">
        <name>CYHAL_DMA_RSLT_WARN_TRANSFER_ALREADY_STARTED</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga5aa8f2db241158e42052d8940045d2a0">CY_RSLT_TYPE_WARNING</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a7f8347561e9fbf193dd8b77904163acc">CYHAL_RSLT_MODULE_DMA</ref>, 6))</initializer>
        <briefdescription>
<para>Transfer has already been started warning. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" bodystart="116" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" line="116" />
      </memberdef>
      <memberdef id="group__group__hal__results__dma_1gae9b5dac93c1ca8dfea78883f4063a169" kind="define" prot="public" static="no">
        <name>CYHAL_DMA_RSLT_FATAL_UNSUPPORTED_HARDWARE</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga2bc4a48af22980d72766f825eda62658">CY_RSLT_TYPE_FATAL</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a7f8347561e9fbf193dd8b77904163acc">CYHAL_RSLT_MODULE_DMA</ref>, 7))</initializer>
        <briefdescription>
<para>Unsupported hardware error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" bodystart="119" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" line="119" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="enum">
      <memberdef id="group__group__hal__dma_1ga430c1e3ddedade3b6f7ef1f8532e665b" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_dma_direction_t</name>
        <enumvalue id="group__group__hal__dma_1gga430c1e3ddedade3b6f7ef1f8532e665ba86dedc0ee3d9bf091e9f936040e2066a" prot="public">
          <name>CYHAL_DMA_DIRECTION_MEM2MEM</name>
          <briefdescription>
<para>Memory to memory. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__dma_1gga430c1e3ddedade3b6f7ef1f8532e665baef4c3c201a805bc17ea57d8dcfe49f49" prot="public">
          <name>CYHAL_DMA_DIRECTION_MEM2PERIPH</name>
          <briefdescription>
<para>Memory to peripheral. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__dma_1gga430c1e3ddedade3b6f7ef1f8532e665ba1226b2af396731bd8b959c14924bb612" prot="public">
          <name>CYHAL_DMA_DIRECTION_PERIPH2MEM</name>
          <briefdescription>
<para>Peripheral to memory. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__dma_1gga430c1e3ddedade3b6f7ef1f8532e665ba6bb2146283e064542427ddffc2fbe0d7" prot="public">
          <name>CYHAL_DMA_DIRECTION_PERIPH2PERIPH</name>
          <briefdescription>
<para>Peripheral to peripheral. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_dma_direction_t: </bold><linebreak />Direction for DMA transfers.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="133" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" bodystart="127" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" line="128" />
      </memberdef>
      <memberdef id="group__group__hal__dma_1gad4507e9f3660b19e1ddc3085a96279e2" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_dma_event_t</name>
        <enumvalue id="group__group__hal__dma_1ggad4507e9f3660b19e1ddc3085a96279e2a31943df9f42ee4e594f2701f9daf16af" prot="public">
          <name>CYHAL_DMA_NO_INTR</name>
          <initializer>= 0</initializer>
          <briefdescription>
<para>No interrupt. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__dma_1ggad4507e9f3660b19e1ddc3085a96279e2ae5ed3faaed4b314d6b7115016e4c2e73" prot="public">
          <name>CYHAL_DMA_TRANSFER_COMPLETE</name>
          <initializer>= 1 &lt;&lt; 0</initializer>
          <briefdescription>
<para>Indicates that a burst or full transfer has completed. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__dma_1ggad4507e9f3660b19e1ddc3085a96279e2aed1388898b5c44164b69c29226461c4f" prot="public">
          <name>CYHAL_DMA_SRC_BUS_ERROR</name>
          <initializer>= 1 &lt;&lt; 1</initializer>
          <briefdescription>
<para>Indicates that there is a source bus error. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__dma_1ggad4507e9f3660b19e1ddc3085a96279e2a28e6e742cdc81f90dc1a0af854edcfa2" prot="public">
          <name>CYHAL_DMA_DST_BUS_ERROR</name>
          <initializer>= 1 &lt;&lt; 2</initializer>
          <briefdescription>
<para>Indicates that there is a destination bus error. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__dma_1ggad4507e9f3660b19e1ddc3085a96279e2ac02b14f1884befe2fc3c736ca09b5063" prot="public">
          <name>CYHAL_DMA_SRC_MISAL</name>
          <initializer>= 1 &lt;&lt; 3</initializer>
          <briefdescription>
<para>Indicates that the source address is not aligned. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__dma_1ggad4507e9f3660b19e1ddc3085a96279e2aa975cfc15572bcde29d3b79771f3f69d" prot="public">
          <name>CYHAL_DMA_DST_MISAL</name>
          <initializer>= 1 &lt;&lt; 4</initializer>
          <briefdescription>
<para>Indicates that the destination address is not aligned. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__dma_1ggad4507e9f3660b19e1ddc3085a96279e2a5d44bed82a7ab60351ccdc8be3ccac85" prot="public">
          <name>CYHAL_DMA_CURR_PTR_NULL</name>
          <initializer>= 1 &lt;&lt; 5</initializer>
          <briefdescription>
<para>Indicates that the current descriptor pointer is null. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__dma_1ggad4507e9f3660b19e1ddc3085a96279e2ac6197710bf44a105b69558913826465e" prot="public">
          <name>CYHAL_DMA_ACTIVE_CH_DISABLED</name>
          <initializer>= 1 &lt;&lt; 6</initializer>
          <briefdescription>
<para>Indicates that the active channel is disabled. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__dma_1ggad4507e9f3660b19e1ddc3085a96279e2ad48347e72e87bd61c17fdab21128a0ef" prot="public">
          <name>CYHAL_DMA_DESCR_BUS_ERROR</name>
          <initializer>= 1 &lt;&lt; 7</initializer>
          <briefdescription>
<para>Indicates that there has been a descriptor bus error. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_dma_event_t: </bold><linebreak />Flags enum of DMA events.</para></briefdescription>
        <detaileddescription>
<para>Multiple events can be enabled. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="147" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" bodystart="136" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" line="137" />
      </memberdef>
      <memberdef id="group__group__hal__dma_1ga05291825b0a7c7b9a92373ec53342b7a" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_dma_transfer_action_t</name>
        <enumvalue id="group__group__hal__dma_1gga05291825b0a7c7b9a92373ec53342b7aa1d892969519c81dd0728bc5ea99c835e" prot="public">
          <name>CYHAL_DMA_TRANSFER_BURST</name>
          <briefdescription>
<para>A single burst is triggered and a transfer completion event will occur after the burst. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__dma_1gga05291825b0a7c7b9a92373ec53342b7aac422419b0c70b168a56a7bedc2bc2dad" prot="public">
          <name>CYHAL_DMA_TRANSFER_FULL</name>
          <briefdescription>
<para>All bursts are triggered and a single transfer completion event will occur at the end of all of them. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_dma_transfer_action_t: </bold><linebreak />If burst_size is used, selects whether a single trigger of the channel transfers a single burst of burst_size or a full transfer of size length (that is, every burst is triggered).</para></briefdescription>
        <detaileddescription>
<para>This will also select when a trigger complete event will occur; after each burst or after the full transfer </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="157" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" bodystart="153" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" line="154" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="typedef">
      <memberdef id="group__group__hal__dma_1ga8d2fdb7ab4e9ba5367ef596ad42bbe3f" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cyhal_dma_event_callback_t) (void *callback_arg, cyhal_dma_event_t event)</definition>
        <argsstring>)(void *callback_arg, cyhal_dma_event_t event)</argsstring>
        <name>cyhal_dma_event_callback_t</name>
        <briefdescription>
<para>Event handler for DMA interrupts. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" bodystart="175" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" line="175" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__hal__dma_1ga77d62adf012b570ff1a157b43d134318" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_dma_init</definition>
        <argsstring>(cyhal_dma_t *obj, uint8_t priority, cyhal_dma_direction_t direction)</argsstring>
        <name>cyhal_dma_init</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__dma__t">cyhal_dma_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>priority</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__dma_1ga430c1e3ddedade3b6f7ef1f8532e665b">cyhal_dma_direction_t</ref></type>
          <declname>direction</declname>
        </param>
        <briefdescription>
<para>Initialize the DMA peripheral. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="out">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to a DMA object. The caller must allocate the memory for this object but the init function will initialize its contents. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">priority</parametername>
</parameternamelist>
<parameterdescription>
<para>The priority of this DMA operation relative to others. The number of priority levels which are supported is hardware dependent. All implementations define a <ref kindref="member" refid="group__group__hal__impl__dma_1ga81946da56dd6ba8afd28f6056b1d779a">CYHAL_DMA_PRIORITY_DEFAULT</ref> constant which is always valid. If supported, implementations will also define <ref kindref="member" refid="group__group__hal__impl__dma_1gaca50872208f80fb4625591afbaf79d70">CYHAL_DMA_PRIORITY_HIGH</ref>, <ref kindref="member" refid="group__group__hal__impl__dma_1ga0b9bf793bb1892836a901599c26fd698">CYHAL_DMA_PRIORITY_MEDIUM</ref>, and <ref kindref="member" refid="group__group__hal__impl__dma_1ga30998fd4febd3080e00922f969b08712">CYHAL_DMA_PRIORITY_LOW</ref>. The behavior of any other value is implementation defined. See the implementation-specific DMA documentation for more details. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">direction</parametername>
</parameternamelist>
<parameterdescription>
<para>The direction memory is copied </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the init request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="80" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_dma.c" bodystart="45" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_dma.c" line="45" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__dma_1ga8c1bf16caa5d53cb129e5544da1c8b21" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_dma_free</definition>
        <argsstring>(cyhal_dma_t *obj)</argsstring>
        <name>cyhal_dma_free</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__dma__t">cyhal_dma_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Free the DMA object. </para>        </briefdescription>
        <detaileddescription>
<para>Freeing a DMA object while a transfer is in progress (see <ref kindref="member" refid="group__group__hal__dma_1ga6f962c164fedb088dbd2a48e21550fd0">cyhal_dma_is_busy</ref>) is invalid.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="inout">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The DMA object </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="100" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_dma.c" bodystart="82" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_dma.c" line="82" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__dma_1gad39f32ac4fada8bc9e757df0a22fcce4" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_dma_configure</definition>
        <argsstring>(cyhal_dma_t *obj, const cyhal_dma_cfg_t *cfg)</argsstring>
        <name>cyhal_dma_configure</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__dma__t">cyhal_dma_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcyhal__dma__cfg__t">cyhal_dma_cfg_t</ref> *</type>
          <declname>cfg</declname>
        </param>
        <briefdescription>
<para>Setup a DMA descriptor for specified resource. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The DMA object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">cfg</parametername>
</parameternamelist>
<parameterdescription>
<para>Configuration parameters for the transfer </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the configure request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="123" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_dma.c" bodystart="102" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_dma.c" line="102" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__dma_1gaf57a2b19848478b6604e09a3ecc3fbfc" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_dma_start_transfer</definition>
        <argsstring>(cyhal_dma_t *obj)</argsstring>
        <name>cyhal_dma_start_transfer</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__dma__t">cyhal_dma_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Initiates DMA channel transfer for specified DMA object. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The DMA object </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the start_transfer request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="146" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_dma.c" bodystart="125" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_dma.c" line="125" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__dma_1ga6f962c164fedb088dbd2a48e21550fd0" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool cyhal_dma_is_busy</definition>
        <argsstring>(cyhal_dma_t *obj)</argsstring>
        <name>cyhal_dma_is_busy</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__dma__t">cyhal_dma_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Checks whether a transfer is pending or running on the DMA channel. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The DMA object </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>True if DMA channel is busy </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="169" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_dma.c" bodystart="148" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_dma.c" line="148" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__dma_1gacbccbcab79700c9e17bc47c525967876" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_dma_register_callback</definition>
        <argsstring>(cyhal_dma_t *obj, cyhal_dma_event_callback_t callback, void *callback_arg)</argsstring>
        <name>cyhal_dma_register_callback</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__dma__t">cyhal_dma_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__dma_1ga8d2fdb7ab4e9ba5367ef596ad42bbe3f">cyhal_dma_event_callback_t</ref></type>
          <declname>callback</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>callback_arg</declname>
        </param>
        <briefdescription>
<para>Register a DMA callback handler. </para>        </briefdescription>
        <detaileddescription>
<para>This function will be called when one of the events enabled by <ref kindref="member" refid="group__group__hal__dma_1gad41941e505b20be164c389925e7a25dc">cyhal_dma_enable_event</ref> occurs.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The DMA object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">callback</parametername>
</parameternamelist>
<parameterdescription>
<para>The callback handler which will be invoked when an event triggers </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">callback_arg</parametername>
</parameternamelist>
<parameterdescription>
<para>Generic argument that will be provided to the callback when called </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="179" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_dma.c" bodystart="171" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_dma.c" line="171" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__dma_1gad41941e505b20be164c389925e7a25dc" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_dma_enable_event</definition>
        <argsstring>(cyhal_dma_t *obj, cyhal_dma_event_t event, uint8_t intr_priority, bool enable)</argsstring>
        <name>cyhal_dma_enable_event</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__dma__t">cyhal_dma_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__dma_1gad4507e9f3660b19e1ddc3085a96279e2">cyhal_dma_event_t</ref></type>
          <declname>event</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>intr_priority</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>enable</declname>
        </param>
        <briefdescription>
<para>Configure DMA event enablement. </para>        </briefdescription>
        <detaileddescription>
<para>When an enabled event occurs, the function specified by <ref kindref="member" refid="group__group__hal__dma_1gacbccbcab79700c9e17bc47c525967876">cyhal_dma_register_callback</ref> will be called.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The DMA object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">event</parametername>
</parameternamelist>
<parameterdescription>
<para>The DMA event type </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">intr_priority</parametername>
</parameternamelist>
<parameterdescription>
<para>The priority for NVIC interrupt events. The priority from the most recent call will take precedence, i.e all events will have the same priority. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">enable</parametername>
</parameternamelist>
<parameterdescription>
<para>True to turn on interrupts, False to turn off </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="197" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_dma.c" bodystart="181" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_dma.c" line="181" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Provides a high level interface for interacting with the Cypress DMA. </para>    </briefdescription>
    <detaileddescription>
<para>This interface abstracts out the chip specific details. If any chip specific functionality is necessary, or performance is critical the low level functions can be used directly.</para><para><simplesect kind="copyright"><para>Copyright 2018-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="80"><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="81"><highlight class="normal" /></codeline>
<codeline lineno="82"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdbool.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="83"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdint.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="84"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_result.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="85"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_hw_types.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="86"><highlight class="normal" /></codeline>
<codeline lineno="87"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="88"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="89"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="90"><highlight class="normal" /></codeline>
<codeline lineno="98"><highlight class="preprocessor">#define<sp />CYHAL_DMA_RSLT_ERR_INVALID_TRANSFER_WIDTH<sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="99"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_DMA,<sp />0))</highlight><highlight class="normal" /></codeline>
<codeline lineno="100"><highlight class="normal" /></codeline>
<codeline lineno="101"><highlight class="preprocessor">#define<sp />CYHAL_DMA_RSLT_ERR_INVALID_PARAMETER<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="102"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_DMA,<sp />1))</highlight><highlight class="normal" /></codeline>
<codeline lineno="103"><highlight class="normal" /></codeline>
<codeline lineno="104"><highlight class="preprocessor">#define<sp />CYHAL_DMA_RSLT_ERR_INVALID_PRIORITY<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="105"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_DMA,<sp />2))</highlight><highlight class="normal" /></codeline>
<codeline lineno="106"><highlight class="normal" /></codeline>
<codeline lineno="107"><highlight class="preprocessor">#define<sp />CYHAL_DMA_RSLT_ERR_INVALID_ALIGNMENT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="108"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_DMA,<sp />3))</highlight><highlight class="normal" /></codeline>
<codeline lineno="109"><highlight class="normal" /></codeline>
<codeline lineno="110"><highlight class="preprocessor">#define<sp />CYHAL_DMA_RSLT_ERR_INVALID_BURST_SIZE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="111"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_DMA,<sp />4))</highlight><highlight class="normal" /></codeline>
<codeline lineno="112"><highlight class="normal" /></codeline>
<codeline lineno="113"><highlight class="preprocessor">#define<sp />CYHAL_DMA_RSLT_ERR_CHANNEL_BUSY<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="114"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_DMA,<sp />5))</highlight><highlight class="normal" /></codeline>
<codeline lineno="115"><highlight class="normal" /></codeline>
<codeline lineno="116"><highlight class="preprocessor">#define<sp />CYHAL_DMA_RSLT_WARN_TRANSFER_ALREADY_STARTED<sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="117"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_WARNING,<sp />CYHAL_RSLT_MODULE_DMA,<sp />6))</highlight><highlight class="normal" /></codeline>
<codeline lineno="118"><highlight class="normal" /></codeline>
<codeline lineno="119"><highlight class="preprocessor">#define<sp />CYHAL_DMA_RSLT_FATAL_UNSUPPORTED_HARDWARE<sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="120"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_FATAL,<sp />CYHAL_RSLT_MODULE_DMA,<sp />7))</highlight><highlight class="normal" /></codeline>
<codeline lineno="121"><highlight class="normal" /></codeline>
<codeline lineno="127"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="128"><highlight class="normal">{</highlight></codeline>
<codeline lineno="129"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__dma_1gga430c1e3ddedade3b6f7ef1f8532e665ba86dedc0ee3d9bf091e9f936040e2066a">CYHAL_DMA_DIRECTION_MEM2MEM</ref>,<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="130"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__dma_1gga430c1e3ddedade3b6f7ef1f8532e665baef4c3c201a805bc17ea57d8dcfe49f49">CYHAL_DMA_DIRECTION_MEM2PERIPH</ref>,<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="131"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__dma_1gga430c1e3ddedade3b6f7ef1f8532e665ba1226b2af396731bd8b959c14924bb612">CYHAL_DMA_DIRECTION_PERIPH2MEM</ref>,<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="132"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__dma_1gga430c1e3ddedade3b6f7ef1f8532e665ba6bb2146283e064542427ddffc2fbe0d7">CYHAL_DMA_DIRECTION_PERIPH2PERIPH</ref>,<sp /></highlight></codeline>
<codeline lineno="133"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__hal__dma_1ga430c1e3ddedade3b6f7ef1f8532e665b">cyhal_dma_direction_t</ref>;</highlight></codeline>
<codeline lineno="134"><highlight class="normal" /></codeline>
<codeline lineno="136"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="137"><highlight class="normal">{</highlight></codeline>
<codeline lineno="138"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__dma_1ggad4507e9f3660b19e1ddc3085a96279e2a31943df9f42ee4e594f2701f9daf16af">CYHAL_DMA_NO_INTR</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0,<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="139"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__dma_1ggad4507e9f3660b19e1ddc3085a96279e2ae5ed3faaed4b314d6b7115016e4c2e73">CYHAL_DMA_TRANSFER_COMPLETE</ref><sp /><sp /><sp />=<sp />1<sp />&lt;&lt;<sp />0,<sp /></highlight></codeline>
<codeline lineno="140"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__dma_1ggad4507e9f3660b19e1ddc3085a96279e2aed1388898b5c44164b69c29226461c4f">CYHAL_DMA_SRC_BUS_ERROR</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />1<sp />&lt;&lt;<sp />1,<sp /></highlight></codeline>
<codeline lineno="141"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__dma_1ggad4507e9f3660b19e1ddc3085a96279e2a28e6e742cdc81f90dc1a0af854edcfa2">CYHAL_DMA_DST_BUS_ERROR</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />1<sp />&lt;&lt;<sp />2,<sp /></highlight></codeline>
<codeline lineno="142"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__dma_1ggad4507e9f3660b19e1ddc3085a96279e2ac02b14f1884befe2fc3c736ca09b5063">CYHAL_DMA_SRC_MISAL</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />1<sp />&lt;&lt;<sp />3,<sp /></highlight></codeline>
<codeline lineno="143"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__dma_1ggad4507e9f3660b19e1ddc3085a96279e2aa975cfc15572bcde29d3b79771f3f69d">CYHAL_DMA_DST_MISAL</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />1<sp />&lt;&lt;<sp />4,<sp /></highlight></codeline>
<codeline lineno="144"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__dma_1ggad4507e9f3660b19e1ddc3085a96279e2a5d44bed82a7ab60351ccdc8be3ccac85">CYHAL_DMA_CURR_PTR_NULL</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />1<sp />&lt;&lt;<sp />5,<sp /></highlight></codeline>
<codeline lineno="145"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__dma_1ggad4507e9f3660b19e1ddc3085a96279e2ac6197710bf44a105b69558913826465e">CYHAL_DMA_ACTIVE_CH_DISABLED</ref><sp /><sp />=<sp />1<sp />&lt;&lt;<sp />6,<sp /></highlight></codeline>
<codeline lineno="146"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__dma_1ggad4507e9f3660b19e1ddc3085a96279e2ad48347e72e87bd61c17fdab21128a0ef">CYHAL_DMA_DESCR_BUS_ERROR</ref><sp /><sp /><sp /><sp /><sp />=<sp />1<sp />&lt;&lt;<sp />7,<sp /></highlight></codeline>
<codeline lineno="147"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__hal__dma_1gad4507e9f3660b19e1ddc3085a96279e2">cyhal_dma_event_t</ref>;</highlight></codeline>
<codeline lineno="148"><highlight class="normal" /></codeline>
<codeline lineno="153"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="154"><highlight class="normal">{</highlight></codeline>
<codeline lineno="155"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__dma_1gga05291825b0a7c7b9a92373ec53342b7aa1d892969519c81dd0728bc5ea99c835e">CYHAL_DMA_TRANSFER_BURST</ref>,<sp /></highlight></codeline>
<codeline lineno="156"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__dma_1gga05291825b0a7c7b9a92373ec53342b7aac422419b0c70b168a56a7bedc2bc2dad">CYHAL_DMA_TRANSFER_FULL</ref>,<sp /><sp /></highlight></codeline>
<codeline lineno="157"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__hal__dma_1ga05291825b0a7c7b9a92373ec53342b7a">cyhal_dma_transfer_action_t</ref>;</highlight></codeline>
<codeline lineno="158"><highlight class="normal" /></codeline>
<codeline lineno="162" refid="structcyhal__dma__cfg__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="163"><highlight class="normal">{</highlight></codeline>
<codeline lineno="164"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />src_addr;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="165"><highlight class="normal"><sp /><sp /><sp /><sp />int16_t<sp /><sp />src_increment;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="166"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />dst_addr;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="167"><highlight class="normal"><sp /><sp /><sp /><sp />int16_t<sp /><sp />dst_increment;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="168"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp />transfer_width;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="169"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />length;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="170"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />burst_size;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="171"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__dma_1ga05291825b0a7c7b9a92373ec53342b7a">cyhal_dma_transfer_action_t</ref><sp />action;<sp /></highlight></codeline>
<codeline lineno="172"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcyhal__dma__cfg__t">cyhal_dma_cfg_t</ref>;</highlight></codeline>
<codeline lineno="173"><highlight class="normal" /></codeline>
<codeline lineno="175"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp />void<sp />(*<ref kindref="member" refid="group__group__hal__dma_1ga8d2fdb7ab4e9ba5367ef596ad42bbe3f">cyhal_dma_event_callback_t</ref>)(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*callback_arg,<sp /><ref kindref="member" refid="group__group__hal__dma_1gad4507e9f3660b19e1ddc3085a96279e2">cyhal_dma_event_t</ref><sp />event);</highlight></codeline>
<codeline lineno="176"><highlight class="normal" /></codeline>
<codeline lineno="185"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__dma_1ga77d62adf012b570ff1a157b43d134318">cyhal_dma_init</ref>(<ref kindref="compound" refid="structcyhal__dma__t">cyhal_dma_t</ref><sp />*obj,<sp />uint8_t<sp />priority,<sp /><ref kindref="member" refid="group__group__hal__dma_1ga430c1e3ddedade3b6f7ef1f8532e665b">cyhal_dma_direction_t</ref><sp />direction);</highlight></codeline>
<codeline lineno="186"><highlight class="normal" /></codeline>
<codeline lineno="192"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__dma_1ga8c1bf16caa5d53cb129e5544da1c8b21">cyhal_dma_free</ref>(<ref kindref="compound" refid="structcyhal__dma__t">cyhal_dma_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="193"><highlight class="normal" /></codeline>
<codeline lineno="200"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__dma_1gad39f32ac4fada8bc9e757df0a22fcce4">cyhal_dma_configure</ref>(<ref kindref="compound" refid="structcyhal__dma__t">cyhal_dma_t</ref><sp />*obj,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcyhal__dma__cfg__t">cyhal_dma_cfg_t</ref><sp />*cfg);</highlight></codeline>
<codeline lineno="201"><highlight class="normal" /></codeline>
<codeline lineno="207"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__dma_1gaf57a2b19848478b6604e09a3ecc3fbfc">cyhal_dma_start_transfer</ref>(<ref kindref="compound" refid="structcyhal__dma__t">cyhal_dma_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="208"><highlight class="normal" /></codeline>
<codeline lineno="214"><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__dma_1ga6f962c164fedb088dbd2a48e21550fd0">cyhal_dma_is_busy</ref>(<ref kindref="compound" refid="structcyhal__dma__t">cyhal_dma_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="215"><highlight class="normal" /></codeline>
<codeline lineno="224"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__dma_1gacbccbcab79700c9e17bc47c525967876">cyhal_dma_register_callback</ref>(<ref kindref="compound" refid="structcyhal__dma__t">cyhal_dma_t</ref><sp />*obj,<sp /><ref kindref="member" refid="group__group__hal__dma_1ga8d2fdb7ab4e9ba5367ef596ad42bbe3f">cyhal_dma_event_callback_t</ref><sp />callback,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*callback_arg);</highlight></codeline>
<codeline lineno="225"><highlight class="normal" /></codeline>
<codeline lineno="235"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__dma_1gad41941e505b20be164c389925e7a25dc">cyhal_dma_enable_event</ref>(<ref kindref="compound" refid="structcyhal__dma__t">cyhal_dma_t</ref><sp />*obj,<sp /><ref kindref="member" refid="group__group__hal__dma_1gad4507e9f3660b19e1ddc3085a96279e2">cyhal_dma_event_t</ref><sp />event,<sp />uint8_t<sp />intr_priority,<sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />enable);</highlight></codeline>
<codeline lineno="236"><highlight class="normal" /></codeline>
<codeline lineno="237"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="238"><highlight class="normal">}</highlight></codeline>
<codeline lineno="239"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="240"><highlight class="normal" /></codeline>
<codeline lineno="241"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />CYHAL_DMA_IMPL_HEADER</highlight><highlight class="normal" /></codeline>
<codeline lineno="242"><highlight class="normal" /><highlight class="preprocessor">#include<sp />CYHAL_DMA_IMPL_HEADER</highlight><highlight class="normal" /></codeline>
<codeline lineno="243"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CYHAL_DMA_IMPL_HEADER<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="244"><highlight class="normal" /></codeline>
    </programlisting>
    <location file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_dma.h" />
  </compounddef>
</doxygen>